diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 412ac1d..4e9de95 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -41423,7 +41423,8 @@ GuessOption(): Exports == Implementation where
 
     checkOptions l ==
       if not empty? l then
-        if find((first l).keyword = #1.keyword, rest l) case "failed"
+        if find((z1:%):Boolean +-> (first l).keyword = z1.keyword, rest l)_
+          case "failed"
         then checkOptions rest l
         else error "GuessOption: Option specified twice"
 
diff --git a/changelog b/changelog
index 1d4eedf..765b097 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090512 tpd src/axiom-website/patches.html 20090512.01.tpd.patch
+20090512 tpd books/bookvol10.3 GOPT +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.19.tpd.patch
 20090511 tpd books/bookvol10.4 CDEN +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.18.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b9c38b3..bcf11a0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1252,5 +1252,7 @@ bookvol10.2 FFCAT +-> conversion<br/>
 bookvol10.3 GSERIES +-> conversion<br/>
 <a href="patches/20090511.19.tpd.patch">20090511.19.tpd.patch</a>
 bookvol10.4 CDEN +-> conversion<br/>
+<a href="patches/20090512.01.tpd.patch">20090512.01.tpd.patch</a>
+bookvol10.3 GOPT +-> conversion<br/>
  </body>
 </html>
